Page MenuHomePhabricator

set up a test node with new version, Redis as cache, a new Swift container and export metrics over graphana
Closed, ResolvedPublic

Description

After creating the new debian package, we would test it over two new nodes (that could be VMs) name it as docker-registry-beta.wikimedia.org / docker-registry-beta.discovery.wmnet writing to a new Swift container since we don't want to interfere with old registry normal operation. After the test, if we feel happy about results we can repush existing images to the new registry and point the DNS to the new one. Some tests that should be performed:

  • Prometheus can scrape metrics and we get at least push/pull metrics by an image.
  • A minimal stress test/ be able to pull 10 images in parallel and compare timings over production.
  • Tearing down one docker-registry should not affect the registry service.

Details

Related Gerrit Patches:
operations/puppet : productionInitial docker::registry::ha puppetization.

Event Timeline

fsero triaged this task as Medium priority.Nov 21 2018, 11:59 AM
fsero created this task.
hashar renamed this task from set up a test node with new version, redis as cache, a new swift container and export metrics over graphana to set up a test node with new version, Redis as cache, a new Swift container and export metrics over Fraphana.Nov 21 2018, 8:38 PM
hashar updated the task description. (Show Details)
fsero added a comment.Nov 22 2018, 4:52 PM

i've got some metrics at least.

# HELP go_gc_duration_seconds A summary of the GC invocation durations.
# TYPE go_gc_duration_seconds summary
go_gc_duration_seconds{quantile="0"} 1.3859e-05
go_gc_duration_seconds{quantile="0.25"} 1.7222e-05
go_gc_duration_seconds{quantile="0.5"} 3.0094e-05
go_gc_duration_seconds{quantile="0.75"} 3.8167e-05
go_gc_duration_seconds{quantile="1"} 5.2253e-05
go_gc_duration_seconds_sum 0.000657528
go_gc_duration_seconds_count 23
# HELP go_goroutines Number of goroutines that currently exist.
# TYPE go_goroutines gauge
go_goroutines 11
# HELP go_info Information about the Go environment.
# TYPE go_info gauge
go_info{version="go1.10.4"} 1
# HELP go_memstats_alloc_bytes Number of bytes allocated and still in use.
# TYPE go_memstats_alloc_bytes gauge
go_memstats_alloc_bytes 1.94148e+06
# HELP go_memstats_alloc_bytes_total Total number of bytes allocated, even if freed.
# TYPE go_memstats_alloc_bytes_total counter
go_memstats_alloc_bytes_total 2.3966352e+07
# HELP go_memstats_buck_hash_sys_bytes Number of bytes used by the profiling bucket hash table.
# TYPE go_memstats_buck_hash_sys_bytes gauge
go_memstats_buck_hash_sys_bytes 1.459092e+06
# HELP go_memstats_frees_total Total number of frees.
# TYPE go_memstats_frees_total counter
go_memstats_frees_total 158160
# HELP go_memstats_gc_cpu_fraction The fraction of this program's available CPU time used by the GC since the program started.
# TYPE go_memstats_gc_cpu_fraction gauge
go_memstats_gc_cpu_fraction 1.1228765291530723e-05
# HELP go_memstats_gc_sys_bytes Number of bytes used for garbage collection system metadata.
# TYPE go_memstats_gc_sys_bytes gauge
go_memstats_gc_sys_bytes 471040
# HELP go_memstats_heap_alloc_bytes Number of heap bytes allocated and still in use.
# TYPE go_memstats_heap_alloc_bytes gauge
go_memstats_heap_alloc_bytes 1.94148e+06
# HELP go_memstats_heap_idle_bytes Number of heap bytes waiting to be used.
# TYPE go_memstats_heap_idle_bytes gauge
go_memstats_heap_idle_bytes 4.497408e+06
# HELP go_memstats_heap_inuse_bytes Number of heap bytes that are in use.
# TYPE go_memstats_heap_inuse_bytes gauge
go_memstats_heap_inuse_bytes 3.465216e+06
# HELP go_memstats_heap_objects Number of allocated objects.
# TYPE go_memstats_heap_objects gauge
go_memstats_heap_objects 10888
# HELP go_memstats_heap_released_bytes Number of heap bytes released to OS.
# TYPE go_memstats_heap_released_bytes gauge
go_memstats_heap_released_bytes 4.46464e+06
# HELP go_memstats_heap_sys_bytes Number of heap bytes obtained from system.
# TYPE go_memstats_heap_sys_bytes gauge
go_memstats_heap_sys_bytes 7.962624e+06
# HELP go_memstats_last_gc_time_seconds Number of seconds since 1970 of last garbage collection.
# TYPE go_memstats_last_gc_time_seconds gauge
go_memstats_last_gc_time_seconds 1.5428199704413922e+09
# HELP go_memstats_lookups_total Total number of pointer lookups.
# TYPE go_memstats_lookups_total counter
go_memstats_lookups_total 433
# HELP go_memstats_mallocs_total Total number of mallocs.
# TYPE go_memstats_mallocs_total counter
go_memstats_mallocs_total 169048
# HELP go_memstats_mcache_inuse_bytes Number of bytes in use by mcache structures.
# TYPE go_memstats_mcache_inuse_bytes gauge
go_memstats_mcache_inuse_bytes 1736
# HELP go_memstats_mcache_sys_bytes Number of bytes used for mcache structures obtained from system.
# TYPE go_memstats_mcache_sys_bytes gauge
go_memstats_mcache_sys_bytes 16384
# HELP go_memstats_mspan_inuse_bytes Number of bytes in use by mspan structures.
# TYPE go_memstats_mspan_inuse_bytes gauge
go_memstats_mspan_inuse_bytes 52744
# HELP go_memstats_mspan_sys_bytes Number of bytes used for mspan structures obtained from system.
# TYPE go_memstats_mspan_sys_bytes gauge
go_memstats_mspan_sys_bytes 81920
# HELP go_memstats_next_gc_bytes Number of heap bytes when next garbage collection will take place.
# TYPE go_memstats_next_gc_bytes gauge
go_memstats_next_gc_bytes 4.194304e+06
# HELP go_memstats_other_sys_bytes Number of bytes used for other system allocations.
# TYPE go_memstats_other_sys_bytes gauge
go_memstats_other_sys_bytes 468324
# HELP go_memstats_stack_inuse_bytes Number of bytes in use by the stack allocator.
# TYPE go_memstats_stack_inuse_bytes gauge
go_memstats_stack_inuse_bytes 425984
# HELP go_memstats_stack_sys_bytes Number of bytes obtained from system for stack allocator.
# TYPE go_memstats_stack_sys_bytes gauge
go_memstats_stack_sys_bytes 425984
# HELP go_memstats_sys_bytes Number of bytes obtained from system.
# TYPE go_memstats_sys_bytes gauge
go_memstats_sys_bytes 1.0885368e+07
# HELP go_threads Number of OS threads created.
# TYPE go_threads gauge
go_threads 9
# HELP process_cpu_seconds_total Total user and system CPU time spent in seconds.
# TYPE process_cpu_seconds_total counter
process_cpu_seconds_total 2.17
# HELP process_max_fds Maximum number of open file descriptors.
# TYPE process_max_fds gauge
process_max_fds 1024
# HELP process_open_fds Number of open file descriptors.
# TYPE process_open_fds gauge
process_open_fds 8
# HELP process_resident_memory_bytes Resident memory size in bytes.
# TYPE process_resident_memory_bytes gauge
process_resident_memory_bytes 1.7133568e+07
# HELP process_start_time_seconds Start time of the process since unix epoch in seconds.
# TYPE process_start_time_seconds gauge
process_start_time_seconds 1.54281807976e+09
# HELP process_virtual_memory_bytes Virtual memory size in bytes.
# TYPE process_virtual_memory_bytes gauge
process_virtual_memory_bytes 2.26541568e+08
# HELP promhttp_metric_handler_requests_in_flight Current number of scrapes being served.
# TYPE promhttp_metric_handler_requests_in_flight gauge
promhttp_metric_handler_requests_in_flight 1
# HELP promhttp_metric_handler_requests_total Total number of scrapes by HTTP status code.
# TYPE promhttp_metric_handler_requests_total counter
promhttp_metric_handler_requests_total{code="200"} 4
promhttp_metric_handler_requests_total{code="500"} 0
# HELP registry_http_in_flight_requests The in-flight HTTP requests
# TYPE registry_http_in_flight_requests gauge
registry_http_in_flight_requests{handler="base"} 0
registry_http_in_flight_requests{handler="blob"} 0
registry_http_in_flight_requests{handler="blob_upload"} 0
registry_http_in_flight_requests{handler="blob_upload_chunk"} 0
registry_http_in_flight_requests{handler="catalog"} 0
registry_http_in_flight_requests{handler="manifest"} 0
registry_http_in_flight_requests{handler="tags"} 0
# HELP registry_http_request_duration_seconds The HTTP request latencies in seconds.
# TYPE registry_http_request_duration_seconds histogram
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="0.005"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="0.01"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="0.025"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="0.05"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="0.1"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="0.25"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="0.5"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="1"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="2.5"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="5"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="10"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="25"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="60"} 1
registry_http_request_duration_seconds_bucket{handler="base",method="get",le="+Inf"} 1
registry_http_request_duration_seconds_sum{handler="base",method="get"} 0.002437403
registry_http_request_duration_seconds_count{handler="base",method="get"} 1
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="0.005"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="0.01"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="0.025"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="0.05"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="0.1"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="0.25"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="0.5"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="1"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="2.5"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="5"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="10"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="25"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="60"} 9
registry_http_request_duration_seconds_bucket{handler="blob",method="head",le="+Inf"} 9
registry_http_request_duration_seconds_sum{handler="blob",method="head"} 0.011481936
registry_http_request_duration_seconds_count{handler="blob",method="head"} 9
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="0.005"} 1
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="0.01"} 3
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="0.025"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="0.05"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="0.1"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="0.25"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="0.5"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="1"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="2.5"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="5"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="10"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="25"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="60"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload",method="post",le="+Inf"} 8
registry_http_request_duration_seconds_sum{handler="blob_upload",method="post"} 0.11352736599999999
registry_http_request_duration_seconds_count{handler="blob_upload",method="post"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="0.005"} 1
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="0.01"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="0.025"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="0.05"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="0.1"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="0.25"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="0.5"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="1"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="2.5"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="5"} 2
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="10"} 3
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="25"} 4
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="60"} 4
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="patch",le="+Inf"} 8
registry_http_request_duration_seconds_sum{handler="blob_upload_chunk",method="patch"} 324.757793528
registry_http_request_duration_seconds_count{handler="blob_upload_chunk",method="patch"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="0.005"} 3
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="0.01"} 7
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="0.025"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="0.05"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="0.1"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="0.25"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="0.5"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="1"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="2.5"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="5"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="10"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="25"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="60"} 8
registry_http_request_duration_seconds_bucket{handler="blob_upload_chunk",method="put",le="+Inf"} 8
registry_http_request_duration_seconds_sum{handler="blob_upload_chunk",method="put"} 0.05081754599999999
registry_http_request_duration_seconds_count{handler="blob_upload_chunk",method="put"} 8
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="0.005"} 0
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="0.01"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="0.025"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="0.05"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="0.1"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="0.25"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="0.5"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="1"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="2.5"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="5"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="10"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="25"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="60"} 1
registry_http_request_duration_seconds_bucket{handler="manifest",method="put",le="+Inf"} 1
registry_http_request_duration_seconds_sum{handler="manifest",method="put"} 0.007331084
registry_http_request_duration_seconds_count{handler="manifest",method="put"} 1
# HELP registry_http_request_size_bytes The HTTP request sizes in bytes.
# TYPE registry_http_request_size_bytes histogram
registry_http_request_size_bytes_bucket{handler="base",le="1024"} 1
registry_http_request_size_bytes_bucket{handler="base",le="2048"} 1
registry_http_request_size_bytes_bucket{handler="base",le="4096"} 1
registry_http_request_size_bytes_bucket{handler="base",le="8192"} 1
registry_http_request_size_bytes_bucket{handler="base",le="16384"} 1
registry_http_request_size_bytes_bucket{handler="base",le="32768"} 1
registry_http_request_size_bytes_bucket{handler="base",le="65536"} 1
registry_http_request_size_bytes_bucket{handler="base",le="131072"} 1
registry_http_request_size_bytes_bucket{handler="base",le="262144"} 1
registry_http_request_size_bytes_bucket{handler="base",le="524288"} 1
registry_http_request_size_bytes_bucket{handler="base",le="1.048576e+06"} 1
registry_http_request_size_bytes_bucket{handler="base",le="2.097152e+06"} 1
registry_http_request_size_bytes_bucket{handler="base",le="4.194304e+06"} 1
registry_http_request_size_bytes_bucket{handler="base",le="8.388608e+06"} 1
registry_http_request_size_bytes_bucket{handler="base",le="1.6777216e+07"} 1
registry_http_request_size_bytes_bucket{handler="base",le="3.3554432e+07"} 1
registry_http_request_size_bytes_bucket{handler="base",le="6.7108864e+07"} 1
registry_http_request_size_bytes_bucket{handler="base",le="1.34217728e+08"} 1
registry_http_request_size_bytes_bucket{handler="base",le="2.68435456e+08"} 1
registry_http_request_size_bytes_bucket{handler="base",le="5.36870912e+08"} 1
registry_http_request_size_bytes_bucket{handler="base",le="1.073741824e+09"} 1
registry_http_request_size_bytes_bucket{handler="base",le="2.147483648e+09"} 1
registry_http_request_size_bytes_bucket{handler="base",le="+Inf"} 1
registry_http_request_size_bytes_sum{handler="base"} 204
registry_http_request_size_bytes_count{handler="base"} 1
registry_http_request_size_bytes_bucket{handler="blob",le="1024"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="2048"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="4096"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="8192"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="16384"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="32768"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="65536"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="131072"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="262144"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="524288"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="1.048576e+06"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="2.097152e+06"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="4.194304e+06"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="8.388608e+06"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="1.6777216e+07"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="3.3554432e+07"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="6.7108864e+07"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="1.34217728e+08"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="2.68435456e+08"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="5.36870912e+08"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="1.073741824e+09"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="2.147483648e+09"} 9
registry_http_request_size_bytes_bucket{handler="blob",le="+Inf"} 9
registry_http_request_size_bytes_sum{handler="blob"} 2430
registry_http_request_size_bytes_count{handler="blob"} 9
registry_http_request_size_bytes_bucket{handler="blob_upload",le="1024"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="2048"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="4096"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="8192"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="16384"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="32768"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="65536"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="131072"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="262144"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="524288"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="1.048576e+06"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="2.097152e+06"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="4.194304e+06"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="8.388608e+06"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="1.6777216e+07"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="3.3554432e+07"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="6.7108864e+07"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="1.34217728e+08"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="2.68435456e+08"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="5.36870912e+08"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="1.073741824e+09"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="2.147483648e+09"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload",le="+Inf"} 8
registry_http_request_size_bytes_sum{handler="blob_upload"} 2024
registry_http_request_size_bytes_count{handler="blob_upload"} 8
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="1024"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="2048"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="4096"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="8192"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="16384"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="32768"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="65536"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="131072"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="262144"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="524288"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="1.048576e+06"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="2.097152e+06"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="4.194304e+06"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="8.388608e+06"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="1.6777216e+07"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="3.3554432e+07"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="6.7108864e+07"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="1.34217728e+08"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="2.68435456e+08"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="5.36870912e+08"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="1.073741824e+09"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="2.147483648e+09"} 16
registry_http_request_size_bytes_bucket{handler="blob_upload_chunk",le="+Inf"} 16
registry_http_request_size_bytes_sum{handler="blob_upload_chunk"} 8352
registry_http_request_size_bytes_count{handler="blob_upload_chunk"} 16
registry_http_request_size_bytes_bucket{handler="manifest",le="1024"} 0
registry_http_request_size_bytes_bucket{handler="manifest",le="2048"} 0
registry_http_request_size_bytes_bucket{handler="manifest",le="4096"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="8192"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="16384"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="32768"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="65536"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="131072"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="262144"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="524288"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="1.048576e+06"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="2.097152e+06"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="4.194304e+06"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="8.388608e+06"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="1.6777216e+07"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="3.3554432e+07"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="6.7108864e+07"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="1.34217728e+08"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="2.68435456e+08"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="5.36870912e+08"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="1.073741824e+09"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="2.147483648e+09"} 1
registry_http_request_size_bytes_bucket{handler="manifest",le="+Inf"} 1
registry_http_request_size_bytes_sum{handler="manifest"} 2105
registry_http_request_size_bytes_count{handler="manifest"} 1
# HELP registry_http_requests_total Total number of HTTP requests made.
# TYPE registry_http_requests_total counter
registry_http_requests_total{code="200",handler="base",method="get"} 1
registry_http_requests_total{code="200",handler="blob",method="head"} 8
registry_http_requests_total{code="201",handler="blob_upload_chunk",method="put"} 8
registry_http_requests_total{code="201",handler="manifest",method="put"} 1
registry_http_requests_total{code="202",handler="blob_upload",method="post"} 8
registry_http_requests_total{code="202",handler="blob_upload_chunk",method="patch"} 8
registry_http_requests_total{code="404",handler="blob",method="head"} 1
# HELP registry_http_response_size_bytes The HTTP response sizes in bytes.
# TYPE registry_http_response_size_bytes histogram
registry_http_response_size_bytes_bucket{handler="base",le="1024"} 1
registry_http_response_size_bytes_bucket{handler="base",le="2048"} 1
registry_http_response_size_bytes_bucket{handler="base",le="4096"} 1
registry_http_response_size_bytes_bucket{handler="base",le="8192"} 1
registry_http_response_size_bytes_bucket{handler="base",le="16384"} 1
registry_http_response_size_bytes_bucket{handler="base",le="32768"} 1
registry_http_response_size_bytes_bucket{handler="base",le="65536"} 1
registry_http_response_size_bytes_bucket{handler="base",le="131072"} 1
registry_http_response_size_bytes_bucket{handler="base",le="262144"} 1
registry_http_response_size_bytes_bucket{handler="base",le="524288"} 1
registry_http_response_size_bytes_bucket{handler="base",le="1.048576e+06"} 1
registry_http_response_size_bytes_bucket{handler="base",le="2.097152e+06"} 1
registry_http_response_size_bytes_bucket{handler="base",le="4.194304e+06"} 1
registry_http_response_size_bytes_bucket{handler="base",le="8.388608e+06"} 1
registry_http_response_size_bytes_bucket{handler="base",le="1.6777216e+07"} 1
registry_http_response_size_bytes_bucket{handler="base",le="3.3554432e+07"} 1
registry_http_response_size_bytes_bucket{handler="base",le="6.7108864e+07"} 1
registry_http_response_size_bytes_bucket{handler="base",le="1.34217728e+08"} 1
registry_http_response_size_bytes_bucket{handler="base",le="2.68435456e+08"} 1
registry_http_response_size_bytes_bucket{handler="base",le="5.36870912e+08"} 1
registry_http_response_size_bytes_bucket{handler="base",le="1.073741824e+09"} 1
registry_http_response_size_bytes_bucket{handler="base",le="2.147483648e+09"} 1
registry_http_response_size_bytes_bucket{handler="base",le="+Inf"} 1
registry_http_response_size_bytes_sum{handler="base"} 2
registry_http_response_size_bytes_count{handler="base"} 1
registry_http_response_size_bytes_bucket{handler="blob",le="1024"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="2048"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="4096"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="8192"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="16384"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="32768"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="65536"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="131072"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="262144"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="524288"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="1.048576e+06"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="2.097152e+06"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="4.194304e+06"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="8.388608e+06"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="1.6777216e+07"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="3.3554432e+07"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="6.7108864e+07"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="1.34217728e+08"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="2.68435456e+08"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="5.36870912e+08"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="1.073741824e+09"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="2.147483648e+09"} 9
registry_http_response_size_bytes_bucket{handler="blob",le="+Inf"} 9
registry_http_response_size_bytes_sum{handler="blob"} 157
registry_http_response_size_bytes_count{handler="blob"} 9
registry_http_response_size_bytes_bucket{handler="blob_upload",le="1024"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="2048"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="4096"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="8192"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="16384"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="32768"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="65536"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="131072"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="262144"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="524288"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="1.048576e+06"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="2.097152e+06"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="4.194304e+06"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="8.388608e+06"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="1.6777216e+07"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="3.3554432e+07"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="6.7108864e+07"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="1.34217728e+08"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="2.68435456e+08"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="5.36870912e+08"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="1.073741824e+09"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="2.147483648e+09"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload",le="+Inf"} 8
registry_http_response_size_bytes_sum{handler="blob_upload"} 0
registry_http_response_size_bytes_count{handler="blob_upload"} 8
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="1024"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="2048"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="4096"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="8192"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="16384"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="32768"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="65536"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="131072"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="262144"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="524288"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="1.048576e+06"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="2.097152e+06"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="4.194304e+06"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="8.388608e+06"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="1.6777216e+07"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="3.3554432e+07"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="6.7108864e+07"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="1.34217728e+08"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="2.68435456e+08"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="5.36870912e+08"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="1.073741824e+09"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="2.147483648e+09"} 16
registry_http_response_size_bytes_bucket{handler="blob_upload_chunk",le="+Inf"} 16
registry_http_response_size_bytes_sum{handler="blob_upload_chunk"} 0
registry_http_response_size_bytes_count{handler="blob_upload_chunk"} 16
registry_http_response_size_bytes_bucket{handler="manifest",le="1024"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="2048"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="4096"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="8192"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="16384"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="32768"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="65536"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="131072"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="262144"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="524288"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="1.048576e+06"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="2.097152e+06"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="4.194304e+06"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="8.388608e+06"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="1.6777216e+07"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="3.3554432e+07"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="6.7108864e+07"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="1.34217728e+08"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="2.68435456e+08"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="5.36870912e+08"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="1.073741824e+09"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="2.147483648e+09"} 1
registry_http_response_size_bytes_bucket{handler="manifest",le="+Inf"} 1
registry_http_response_size_bytes_sum{handler="manifest"} 0
registry_http_response_size_bytes_count{handler="manifest"} 1
# HELP registry_storage_action_seconds The number of seconds that the storage action takes
# TYPE registry_storage_action_seconds histogram
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="0.005"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="0.01"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="0.025"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="0.05"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="0.1"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="0.25"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="0.5"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="1"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="2.5"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="5"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="10"} 8
registry_storage_action_seconds_bucket{action="Delete",driver="filesystem",le="+Inf"} 8
registry_storage_action_seconds_sum{action="Delete",driver="filesystem"} 0.00208117
registry_storage_action_seconds_count{action="Delete",driver="filesystem"} 8
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="0.005"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="0.01"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="0.025"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="0.05"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="0.1"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="0.25"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="0.5"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="1"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="2.5"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="5"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="10"} 25
registry_storage_action_seconds_bucket{action="GetContent",driver="filesystem",le="+Inf"} 25
registry_storage_action_seconds_sum{action="GetContent",driver="filesystem"} 0.004684246
registry_storage_action_seconds_count{action="GetContent",driver="filesystem"} 25
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="0.005"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="0.01"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="0.025"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="0.05"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="0.1"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="0.25"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="0.5"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="1"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="2.5"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="5"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="10"} 8
registry_storage_action_seconds_bucket{action="List",driver="filesystem",le="+Inf"} 8
registry_storage_action_seconds_sum{action="List",driver="filesystem"} 0.000395321
registry_storage_action_seconds_count{action="List",driver="filesystem"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="0.005"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="0.01"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="0.025"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="0.05"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="0.1"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="0.25"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="0.5"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="1"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="2.5"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="5"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="10"} 8
registry_storage_action_seconds_bucket{action="Move",driver="filesystem",le="+Inf"} 8
registry_storage_action_seconds_sum{action="Move",driver="filesystem"} 0.0008840499999999999
registry_storage_action_seconds_count{action="Move",driver="filesystem"} 8
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="0.005"} 43
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="0.01"} 50
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="0.025"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="0.05"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="0.1"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="0.25"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="0.5"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="1"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="2.5"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="5"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="10"} 52
registry_storage_action_seconds_bucket{action="PutContent",driver="filesystem",le="+Inf"} 52
registry_storage_action_seconds_sum{action="PutContent",driver="filesystem"} 0.129814229
registry_storage_action_seconds_count{action="PutContent",driver="filesystem"} 52
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="0.005"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="0.01"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="0.025"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="0.05"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="0.1"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="0.25"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="0.5"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="1"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="2.5"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="5"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="10"} 217
registry_storage_action_seconds_bucket{action="Stat",driver="filesystem",le="+Inf"} 217
registry_storage_action_seconds_sum{action="Stat",driver="filesystem"} 0.008249186999999996
registry_storage_action_seconds_count{action="Stat",driver="filesystem"} 217
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="0.005"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="0.01"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="0.025"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="0.05"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="0.1"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="0.25"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="0.5"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="1"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="2.5"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="5"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="10"} 8
registry_storage_action_seconds_bucket{action="URLFor",driver="filesystem",le="+Inf"} 8
registry_storage_action_seconds_sum{action="URLFor",driver="filesystem"} 2.6324e-05
registry_storage_action_seconds_count{action="URLFor",driver="filesystem"} 8
# HELP registry_storage_cache_total The number of cache request received
# TYPE registry_storage_cache_total counter
registry_storage_cache_total{type="Hit"} 40
registry_storage_cache_total{type="Miss"} 2
registry_storage_cache_total{type="Request"} 42
Joe added a comment.Nov 23 2018, 6:19 AM

As far as redis goes - do we need to replicate cross-dc? if not, we could dedicate one of the instances of redis::misc to this function.

fsero renamed this task from set up a test node with new version, Redis as cache, a new Swift container and export metrics over Fraphana to set up a test node with new version, Redis as cache, a new Swift container and export metrics over graphana.Jan 7 2019, 6:30 PM

Change 482675 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] Initial docker::registry::ha puppetization.

https://gerrit.wikimedia.org/r/482675

Change 482675 merged by Fsero:
[operations/puppet@production] Initial docker::registry::ha puppetization.

https://gerrit.wikimedia.org/r/482675

GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:06 PM
fsero closed this task as Resolved.Apr 16 2019, 10:18 AM